Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
Уоооо, работает.
Благодарю!
Правильное решение дал Александр Игнатович. А я лишь нашел пробелы в знании C#. ;)
2
Единственное, ругается на FamilySymbol, пишет "тип, который недопустим в данном контексте"
Так может там должно быть не FamilySymbol (это имя класса), а symbol как экземпляр класса?
3
Revit API / Re: Как создать элемент семейства аннотаций?
« Последний ответ от Biorn 25-04-2018, 22:11:44 »
Уоооо, работает.
Благодарю!
4
А если так:
Код - C# [Выбрать]
  1. AnnotationSymbol annotation = doc.Create.NewFamilyInstance Method (XYZ, FamilySymbol, View) as AnnotationSymbol;
или так:
Код - C# [Выбрать]
  1. AnnotationSymbol annotation = (AnnotationSymbol) doc.Create.NewFamilyInstance Method (XYZ, FamilySymbol, View);

???
5
Revit API / Re: Как создать элемент семейства аннотаций?
« Последний ответ от Biorn 25-04-2018, 21:54:46 »
Копирнул так. Естественно, я удалил это слово. На факт ошибки это не влияет
6
Попробовал:
Код - C# [Выбрать]
  1. AnnotationSymbol annotation = doc.Create.NewFamilyInstance Method (XYZ, FamilySymbol, View);
Вижуха пишет ошибку: Не удается преобразовать группу методов "NewFamilyInstance" в тип, не являющийся делегатом "AnnotationSymbol"

Похоже не то
А "Method" тут зачем? Александр Игнатович просто скопировал из документации название метода (метод по-английски Method), вот туда слово "Method" и попало...
7
Ну вообще говоря, метод рабочий. Код для Iron Python:
Код - Python [Выбрать]
  1. def getSymbolType():
  2.         col = FilteredElementCollector(doc)
  3.        
  4.         return col.OfClass(FamilySymbol).OfCategory(BuiltInCategory.OST_GenericAnnotation).FirstElement()
  5.        
  6. familySymbol = getSymbolType()
  7.  
  8. tx = Transaction(doc, "create annotation")
  9. tx.Start()
  10.  
  11. doc.Create.NewFamilyInstance(XYZ.Zero, familySymbol, doc.ActiveView);
  12.  
  13. tx.Commit()
  14.  
8
Revit API / Re: Как создать элемент семейства аннотаций?
« Последний ответ от Biorn 25-04-2018, 19:00:59 »
Попробовал:
Код - C# [Выбрать]
  1. AnnotationSymbol annotation = doc.Create.NewFamilyInstance Method (XYZ, FamilySymbol, View);
Вижуха пишет ошибку: Не удается преобразовать группу методов "NewFamilyInstance" в тип, не являющийся делегатом "AnnotationSymbol"

Похоже не то
9
Код - C# [Выбрать]
  1. NewFamilyInstance Method (XYZ, FamilySymbol, View)

пробовали?
10
Revit API / Re: Как создать элемент семейства аннотаций?
« Последний ответ от Biorn 25-04-2018, 18:36:30 »
Но ведь IndependenTag это другое семейство. Они не связаны. Мне нужна не марка, а именно аннотация, которую я до этого загружаю в проект.
То есть:
1) Загрузка элемента семейства Annotation Symbol в проект
2) Призыв из глубин ада создание этого элемента в активном виде
Страницы: [1] 2 3 ... 10